Complaint Reasons
Alle Operationen rund um Complaint Reasons.
Datenmodell
Die Endpoints dieses Moduls arbeiten auf folgender Entität. Die Schema-Referenz listet jedes Feld mit Typ, Validierung und Beziehungen:
| Entität | Schema-ID | Felder | Sequenz | Permissions |
|---|---|---|---|---|
| Complaint Reason | complaint_reason |
3 | — | complaint_reason_* |
Endpoints
| Methode | Pfad | Operation | Beschreibung |
|---|---|---|---|
POST |
/v1/complaint_reasons |
Create complaint_reason | Create a new complaint_reason in the active tenant. |
DELETE |
/v1/complaint_reasons/{id} |
Delete complaint_reason | Soft delete entity. |
GET |
/v1/complaint_reasons/{id} |
Get complaint_reason by id | Fetch a single complaint_reason. |
GET |
/v1/complaint_reasons/{id}/linked |
Get linked entities | CodeMeta OS API endpoint. |
GET |
/v1/complaint_reasons/{id}/timeline |
Get timeline | CodeMeta OS API endpoint. |
GET |
/v1/complaint_reasons/{id}/transitions |
List transitions | CodeMeta OS API endpoint. |
GET |
/v1/complaint_reasons |
List complaint_reasons | List complaint_reasons for the active tenant. |
PATCH |
/v1/complaint_reasons/{id} |
Patch complaint_reason | JSON Merge Patch update. |
POST |
/v1/complaint_reasons/bulk |
Bulk operation | CodeMeta OS API endpoint. |
POST |
/v1/complaint_reasons/{id}/transition |
POST /v1/complaint_reasons/{id}/transition | CodeMeta OS API endpoint. |
POST |
/v1/complaint_reasons/{id}/transitions/{transitionKey} |
Execute transition | CodeMeta OS API endpoint. |
PUT |
/v1/complaint_reasons/{id} |
Replace complaint_reason | Full replace with optimistic locking. |